Package weka.gui.streams

# Interface InstanceProducer

All Known Implementing Classes:
  `InstanceJoiner`, `InstanceLoader`

public interface InstanceProducer
An interface for objects capable of producing streams of instances.

Version:
  $Revision: 1.5 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`addInstanceListener(InstanceListener ipl)`
`Instances`
`outputFormat()`
`Instance`
`outputPeek()`
`void`
`removeInstanceListener(InstanceListener ipl)`

## Method Details

### addInstanceListener

void addInstanceListener(InstanceListener ipl)

### removeInstanceListener

void removeInstanceListener(InstanceListener ipl)

### outputFormat

Instances outputFormat() throws Exception

Throws:
  `Exception`

### outputPeek

Instance outputPeek() throws Exception

Throws:
  `Exception`